Name: H5Pget_fapl_core
Signature:
  herr_t `H5Pget_fapl_core`( hid_t `fapl_id`, size_t *`increment`, hbool_t *`backing_store` )
Purpose:
  Queries core file driver properties.
Description:
  `H5Pget_fapl_core` queries the `H5FD_CORE` driver properties as set by `H5Pset_fapl_core`.
Parameters:

hid_t `fapl_id` | IN: File access property list identifier.
size_t *`increment` | OUT: Size, in bytes, of memory increments.
hbool_t *`backing_store` | OUT: Boolean flag indicating whether to write the file contents to disk when the file is closed.

Returns:
  Returns a non-negative value if successful. Otherwise returns a negative value.
Fortran90 Interface: h5pget_fapl_core_f

      SUBROUTINE h5pget_fapl_core_f(prp_id, increment, backing_store, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN)  :: prp_id     ! Property list identifier
        INTEGER(SIZE_T), INTENT(OUT) :: increment ! File block size in bytes
        LOGICAL, INTENT(OUT) :: backing_store     ! Flag to indicate that entire
                                                  ! file contents are flushed to
                                                  ! a file with the same name as
                                                  ! this core file
        INTEGER, INTENT(OUT) :: hdferr            ! Error code
                                                  ! 0 on success and -1 on failure
      END SUBROUTINE h5pget_fapl_core_f

History:

Release | C |  | Fortran90
1.6.0 |  |  | The `backing_store` parameter type changed from INTEGER to LOGICAL to better match the C API
1.4.0 | Function introduced in this release. |  |